import os
import sys
from distutils.core import setup, Extension
try:
    import py2exe
except ImportError:
    pass
try:
    import py2app
except ImportError:
    pass

def main():
    if not float(sys.version[:3])>=2.4:
        sys.stderr.write("CRITICAL: Python version must be greater than or equal to 2.4! python 2.6.2 is recommended!\n")
        sys.exit(1)

    setup(name="DINUP",
          version="1.3",
          description="a systematic approach to reveal differential nucleosome positioning",
          author='Kai Fu',
          author_email='kelvinfu.tju@gmail.com',
          url='http://www.tongji.edu.cn/~zhanglab/DiNuP/index.html',
          package_dir={'DINUP' : 'lib'},
          packages=['DINUP', 'DINUP.IO'],
          scripts=['bin/dinup'],
          classifiers=[
              'Development Status :: 4 - experimental',
              'Environment :: Console',
              'Intended Audience :: Developers',
              'License :: OSI Approved :: Artistic License',
              'Operating System :: MacOS :: MacOS X',
              'Operating System :: Microsoft :: Windows',
              'Operating System :: POSIX',
              'Programming Language :: Python',
              ],
          )

if __name__ == '__main__':
    main()
